<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::EntityFactory Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1EntityFactory.html">Ogre::EntityFactory</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObjectFactory.html#fe63ec95c506e97e9abca23b7fd1a537">_notifyTypeFlags</a>(unsigned long flag)</td><td><a class="el" href="classOgre_1_1MovableObjectFactory.html">Ogre::MovableObjectFactory</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObjectFactory.html#7164ba391aead569e43e5713c7281d7b">createInstance</a>(const String &amp;name, SceneManager *manager, const NameValuePairList *params=0)</td><td><a class="el" href="classOgre_1_1MovableObjectFactory.html">Ogre::MovableObjectFactory</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EntityFactory.html#de100fd3b410a854d0b0327c78242f5b">createInstanceImpl</a>(const String &amp;name, const NameValuePairList *params)</td><td><a class="el" href="classOgre_1_1EntityFactory.html">Ogre::EntityFactory</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EntityFactory.html#c08df5e5199b95ffbe48d4b425919500">destroyInstance</a>(MovableObject *obj)</td><td><a class="el" href="classOgre_1_1EntityFactory.html">Ogre::EntityFactory</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EntityFactory.html#400c13551743727d539d33e1899e2a94">EntityFactory</a>()</td><td><a class="el" href="classOgre_1_1EntityFactory.html">Ogre::EntityFactory</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EntityFactory.html#50de559aa1292e7abf91a140635a88da">FACTORY_TYPE_NAME</a></td><td><a class="el" href="classOgre_1_1EntityFactory.html">Ogre::EntityFactory</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EntityFactory.html#a34e24618322ca2a032f402f14e32ff8">getType</a>(void) const </td><td><a class="el" href="classOgre_1_1EntityFactory.html">Ogre::EntityFactory</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObjectFactory.html#1455bd73f066543e13ebe5ffc3153f62">getTypeFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObjectFactory.html">Ogre::MovableObjectFactory</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObjectFactory.html#20ebc986aa86806dc61a95e86312500f">MovableObjectFactory</a>()</td><td><a class="el" href="classOgre_1_1MovableObjectFactory.html">Ogre::MovableObjectFactory</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObjectFactory.html#d35a2db6426d02a75b85f133a26d5387">mTypeFlag</a></td><td><a class="el" href="classOgre_1_1MovableObjectFactory.html">Ogre::MovableObjectFactory</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObjectFactory.html#80346bc406655855ec5e0eef198900f2">requestTypeFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObjectFactory.html">Ogre::MovableObjectFactory</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1EntityFactory.html#2b09cf40eed302e501408e1009517020">~EntityFactory</a>()</td><td><a class="el" href="classOgre_1_1EntityFactory.html">Ogre::EntityFactory</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObjectFactory.html#102fc90d87f01bbd0680ccb58a2d5050">~MovableObjectFactory</a>()</td><td><a class="el" href="classOgre_1_1MovableObjectFactory.html">Ogre::MovableObjectFactory</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:36 2008
</p>
</body>
</html>
